/* Copyright (C) 2014 Andrej Y. Rzhavskov aka rjaan

   gasrunparts.h  holds C-prototypes of  GNU assembler procedures that are 
                  examples that may be found at my web-site rjaan.narod.ru   

   This program is free software; the Free Software Foundation
   gives unlimited permission to copy, distribute and modify it.  
*/
#ifndef __GASRUNPARTS_H__
#define __GASRUNPARTS_H__	  1

#ifdef __cplusplus 
extern "C" {
#endif /*__cplusplus*/ 

#ifndef __x86_64__
/*
 * the function is GAS example of the addition operation by 
 * use variable-length data (8, 16 and 32 bits) 
 *  
 */
unsigned int inums_addition (void);  

/*
 * the function is GAS example that to the operation code contained  
 * a encode of register (in lower bits)   
 */
unsigned int list_regimm (void); 
/*
 * Both functions bswap_intops() and  do the byte swapping for 32th and 
 *              16th integers   
 */
unsigned int bswap_intops ( void );
unsigned short xchgw_intops ( void );   
/*
 *  Both functions are used to translate negative and positive integers from  
 *  decimal to binary notation.              
 */
char trans_negative ( void );
unsigned char trans_positive ( void );

#endif /*__x86_64__*/

#ifdef __cplusplus 
}
#endif /*__cplusplus*/ 

#endif /*__GASRUNPARTS_H__*/
