/* Copyright (C) 2014 Andrej Y. Rzhavskov aka rjaan

   gnucrunparts.h  holds prototypes of  GNU C function are examples 
                   that may be found at my web-site rjaan.narod.ru 

   This program is free software; the Free Software Foundation
   gives unlimited permission to copy, distribute and modify it.  
*/
#ifndef __GNUCRUNPARTS_H__
#define __GNUCRUNPARTS_H__	  1

#ifdef __cplusplus 
extern "C" {
#endif /*__cplusplus*/ 

extern signed int negative_value;

/*
 * the function contains the GNU C example of usage the negative operator
 *
 */
signed int gnuc_trans_negative ( void );

#ifdef __cplusplus 
}
#endif /*__cplusplus*/

extern signed int bitwise_value;
/*
 * the function contains the GNU C example of usage the biwise NOT
 *
 */
int gnuc_trans_bitwisenot ( void );

/*
 * In this structure lists all main  of integer types 
 */
typedef struct {
      char      byte;
      short     word;
      int       quardword; 
} integers_t;

/*
 * In this pointer will be contained an instance of the structure integer_t  after  
 * executing of one of two operators are a decrementing and an incrementing    
 */

extern integers_t *number_list_p;

/*
 * the function contains the GNU C example of usage the operation increment of the pointer
 *
 */ 
integers_t*  gnuc_increment_pointer ( void );

/*
 * the function contains the GNU C example of usage the operation increment of the pointer
 *
 */ 
integers_t*  gnuc_decrement_pointer ( void );
   
#endif /*__GNUCRUNPARTS_H__*/

