# VARIABLES: haven't used.
# description: this function will be used in the function main() for translate 
#              from  decimal to binary notation.   
#
.code32
.section .data
imm8_svalue:        
        .byte   0b10001111 

imm8_value:        
        .byte   0b01110001 


# This function has C-prototype as follow
#               char trans_negative ( void )   
#
# It provides to move the immediate operand (imm8_svalue) in register EAX which 
# will be returned function main() as negative number -113. 

.section .text
.globl trans_negative
.type  trans_negative, @function
trans_negative:           
                           
           pushl   %ebp         
           movl	   %esp, %ebp 

           xorl    %eax,%eax
    
           movb   imm8_svalue, %al      
    
           leave                   
           ret				    

# This function has C-prototype as follow
#               unsigned char trans_negative ( void )   
#
# It provides to move the immediate operand (imm8_value) in register EAX which 
# will be returned function main() as positive number 113. 

  
.section .text
.globl trans_positive
.type  trans_positive, @function
trans_positive:           
                           
           pushl   %ebp         
           movl	   %esp, %ebp 

           xorl    %eax,%eax
    
           movb   imm8_value, %al      
    
           leave                   
           ret				    

