# VARIABLES: haven't used.
# description: this function explains how to use the byte swapping for 32th and 
#              16th integers   
#
.code32
.section .data
imm32_value:
        .int    0xD4C3B2A1 
imm16_value:        
        .hword    0xF2E1
# This function has C-prototype as follow
#               unsigned int bswap_intops ( void )   
#
# It provide the byte swap in 32th integers. At that, itself integer have to be
# unsigned.

.section .text
.globl bswap_intops
.type  bswap_intops, @function
bswap_intops:           
                           
           pushl   %ebp         
           movl	   %esp, %ebp 

           xorl    %eax,%eax
    
           movl   imm32_value, %eax      
    
           bswapl %eax

           leave                   
           ret				    

# This function has C-prototype as follow
#               unsigned short xchgw_intops ( void )   
#
# It provide the byte change in 16th integers. At that, itself integer have to be
# unsigned.

.section .text
.globl xchgw_intops
.type  xchgw_intops, @function
xchgw_intops:           
                           
           pushl   %ebp         
           movl	   %esp, %ebp 

           xorl    %eax,%eax
           
           movw   imm16_value, %ax
    
           xchgb  %al, %ah           

           leave                   
           ret				    

