/* 
   File gnuc_incdec_pointer.c contains the function gnuc_incdec_pointer()
 
   Copyright (C) 2015  Andrey Y. Rzhavskov  <mailto:rjaan@yandex.ru>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU Affero General Public License as
   published by the Free Software Foundation, either version 3 of the
   License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU Affero General Public License for more details.

   You should have received a copy of the GNU Affero General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 #include <stdio.h>
 #include "gnucrunparts/gnucrunparts.h"

  integers_t *number_list_p;

 /*
  * The function makes the operation increment.   
  *
  */
 integers_t*  gnuc_increment_pointer ( void )
 {

   static integers_t  ilist[2];
   integers_t*        output_list_p = &ilist[0]; 
  
   number_list_p = output_list_p;

   number_list_p->quardword = 123456;
   number_list_p->word      = 12345;
   number_list_p->byte      = 123;
 
   output_list_p++;
   
   output_list_p->byte      = number_list_p->byte;
   output_list_p->word      = number_list_p->word;
   output_list_p->quardword = number_list_p->quardword;
     
   output_list_p->byte++;
   output_list_p->word++;
   output_list_p->quardword++;
 
   return output_list_p; /* return two instance of integer list */ 
 }


 integers_t*  gnuc_decrement_pointer ( void )
 {
   static integers_t  ilist[2];
   integers_t*  output_list_p = &ilist[1]; 
  
   number_list_p = output_list_p;

   number_list_p->quardword = 123457;
   number_list_p->word      = 12346;
   number_list_p->byte      = 124;
 
   output_list_p--;
   
   output_list_p->byte      = number_list_p->byte;
   output_list_p->word      = number_list_p->word;
   output_list_p->quardword = number_list_p->quardword;
     
   output_list_p->byte--;
   output_list_p->word--;
   output_list_p->quardword--;
 
   return output_list_p; /* return two instance of integer list */ 
 }  
  
/*eof*/

